
import 'package:rasadyar_inspection/data/data_source/remote/user/user_data_source_imp.dart';
import 'package:rasadyar_inspection/data/model/response/user_profile/user_profile_model.dart';

import 'user_repository.dart';

class UserRepositoryImp implements UserRepository {
  final UserRemoteDataSourceImp _remoteDataSource;

  UserRepositoryImp(this._remoteDataSource);

  @override
  Future<bool> changePassword(String oldPassword, String newPassword, String confirmPassword) {
    // TODO: implement changePassword
    throw UnimplementedError();
  }

  @override
  Future<UserProfileModel?> fetchUserProfile({required String token}) async {
    return await _remoteDataSource.getProfile(token: token);
  }

  @override
  Future<bool> updateUserProfile(UserProfileModel userProfile) {
    // TODO: implement updateUserProfile
    throw UnimplementedError();
  }
}
